openmemory
Docs
Records

Get one record

GET
/v1/collections/{collection}/records/{id}

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Path Parameters

collection*string

Collection name, e.g. commitments, goals, routines.

Match^[A-Za-z0-9][A-Za-z0-9_.-]*$
Length1 <= length <= 64
id*string
Length1 <= length <= 64

Response Body

The record

application/json
  1. response
id*string
collection*string
key*string|null
status*string
due_at*string|null
data*
origin*Origin
Value in"user""agent""dream"
version*integer
created_at*string
updated_at*string
Example Request
curl -X GET 'https://api.openmemory.sh/v1/collections/string/records/string'
Example Response
{  "id": "string",  "collection": "string",  "key": "string",  "status": "string",  "due_at": "string",  "data": {    "property1": null,    "property2": null  },  "origin": "user",  "version": 0,  "created_at": "string",  "updated_at": "string"}